--- title: "Assign a Attack Filter to an Interface/SubInterface and Attack" slug: "assign-a-attack-filter-to-an-interface-subinterface-and-attack-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:21Z published: 2026-11-19T12:57:21Z canonical: "docs.trellix.com/assign-a-attack-filter-to-an-interface-subinterface-and-attack-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Assign a Attack Filter to an Interface/SubInterface and Attack This URL assigns the specified attack filters to a particular interface or subInterface and attack. ### Resource URL POST /sensor//interface//attackfilter ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensor_id` | Sensor id | Number | Yes | | `interface_id or subinterface_id` | Interface/subinterface id to which the attack filter is to be assigned | Number | Yes | Payload Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `AssignAttackFilterRequest` | List of attack filters | Array | Yes | Details of object in AssignAttackFilterRequest: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `AttackID` | Attack id | String | Yes | | `Direction` | Attack direction, can be "INBOUND" / "OUTBOUND" / "BOTH" / "UNKNOWN" | String | Yes | | `Overwrite` | Overwrite filter | Boolean | Yes | | `FilterId` | List of attack filter Ids | Array | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `Status` | Status returned by deletion | Number | ### Example **Request** POST [https:///sdkapi/sensor/1001/interface/105/attackfilter](https://<NSM_IP>/sdkapi/sensor/1001/interface/105/attackfilter) ``` Payload: { "AssignAttackFilterRequest": [ { "Direction": " INBOUND ", "AttackId": "0x40503900", "FilterId": [ 419, 420 ], "Overwrite": true }, { "Direction": " INBOUND ", "AttackId": "0x48304e00", "FilterId": [ 419 ], "Overwrite": true } ] } ``` **Response** ``` { "status":1 } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 404 | 1107 | Invalid interface or sub-interface id | | 3 | 404 | 1402 | Invalid attack id | | 4 | 404 | 1403 | Invalid attack direction | | 5 | 404 | 1408 | Invalid attack filter id |